
import json
from classes.Order import Order
from classes.OrderTicket import OrderTicket


def jsonToOrder(jsonstring) -> Order:
    """
    Функция преобразования json в объект класса Order
    """
    jsonObj = json.loads(jsonstring)
    print(jsonObj)
    u = Order(**jsonObj)
    return u


def jsonToOrderTicket(jsonstring) -> OrderTicket:
    """
    Функция преобразования json в объект класса OrderTicket
    """
    print(jsonstring)
    jsonObj = json.loads(jsonstring)
    print(jsonObj)
    u = OrderTicket(**jsonObj)
    return u